Bug 1851472 (CVE-2020-15567) - CVE-2020-15567 xen: non-atomic modification of live EPT PTE leads to DoS (XSA-328)
Summary: CVE-2020-15567 xen: non-atomic modification of live EPT PTE leads to DoS (XSA...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-15567
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1854208 (view as bug list)
Depends On: 1854464
Blocks: 1851487
TreeView+ depends on / blocked
 
Reported: 2020-06-26 16:27 UTC by Dhananjay Arunesh
Modified: 2020-07-21 18:49 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A race condition flaw was found in Xen in the mapping of guest EPT tables (nested paging). Under certain circumstances, a guest user might be able to cause Denial of Service (DoS), data corruption, or privilege escalation.
Clone Of:
Environment:
Last Closed: 2020-07-07 19:29:58 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-06-26 16:27:46 UTC
A vulnerability was found in xen, where a guest administrator or perhaps even unprivileged guest user might be able to cause denial of service, data corruption, or privilege escalation.

Comment 1 Mauro Matteo Cascella 2020-07-01 15:48:24 UTC
Acknowledgments:

Name: the Xen project

Comment 2 Mauro Matteo Cascella 2020-07-01 17:34:12 UTC
This flaw affects systems using Intel CPUs with support for nested virtualization, and only HVM and PVH guests can exploit the vulnerability (PV guests are not affected). Note that, as of Xen 4.4, nested HVM on Intel CPUs is considered "tech preview" and not recommended to be used in a production environment [1].

[1] https://wiki.xenproject.org/wiki/Nested_Virtualization_in_Xen

Comment 3 Mauro Matteo Cascella 2020-07-06 14:15:54 UTC
Statement:

This flaw affects systems using Intel CPUs with support for nested paging (HAP). Only HVM and PVH guests can exploit the vulnerability, PV guests are not affected by this flaw.

Comment 4 Mauro Matteo Cascella 2020-07-06 14:15:57 UTC
Mitigation:

Switching to shadow paging (e.g. using the `hap=0` xl domain domain configuration file parameter) will avoid exposing the vulnerability to those guests.

Comment 5 Guilherme de Almeida Suckevicz 2020-07-06 18:47:27 UTC
*** Bug 1854208 has been marked as a duplicate of this bug. ***

Comment 6 Mauro Matteo Cascella 2020-07-07 14:02:17 UTC
External References:

https://xenbits.xen.org/xsa/advisory-328.html

Comment 7 Mauro Matteo Cascella 2020-07-07 14:03:13 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1854464]

Comment 8 Product Security DevOps Team 2020-07-07 19:29:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15567


Note You need to log in before you can comment on or make changes to this bug.